#pragma once
#include "BinaryOperator.h"
#include "Expression.h"

class Multiply : public BinaryOperator, public Expression
{
public:
	Multiply(Expression *left, Expression *right);
	virtual ~Multiply(void);
    int interpret(std::map<std::string,Expression*> &variables);
};

